import { VegaSlimmer } from '../../../../vega-slimmer/vega-slimmer-core';
import { VegaSegmentControl } from '../../vega-segment-control';
import { VegaSegmentProps } from '../../types';
export declare class VegaSegmentControlSelectedController extends VegaSlimmer {
  selected: VegaSegmentControl['selected'];
  segments: VegaSegmentControl['segments'];
  changeEventEmitter: VegaSegmentControl['changeEventEmitter'];
  /**
   * Component lifecycle - [componentWillLoad]{@link VegaSegmentControl.componentWillLoad}
   */
  componentWillLoad(): void;
  watchSegments(): void;
  watchSelected(): void;
  setSelected(props: VegaSegmentProps): void;
  private setDefaultSelected;
}
